Axis2/C: soap body

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap body
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_body_t * | axiom_soap_body_create_with_parent (const axutil_env_t *env, struct axiom_soap_envelope *envelope)
AXIS2_EXTERN void | axiom_soap_body_free (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_soap_body_has_fault (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axiom_soap_fault_t * | axiom_soap_body_get_fault (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_body_get_base_node (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_soap_body_get_soap_version (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_build (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_add_child (axiom_soap_body_t *body, const axutil_env_t *env, axiom_node_t *child)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_convert_fault_to_soap11 (axiom_soap_body_t *soap_body, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_process_attachments (axiom_soap_body_t *soap_body, const axutil_env_t *env, void *user_param, axis2_char_t *callback_name)

## Function Documentation

AXIS2_EXTERN axis2_status_t axiom_soap_body_add_child | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env,
|  | axiom_node_t * | child |
| ) |  |  |

add an om node as the child to this soap_body the child is added to as the first child

Parameters:

  | body | pointer to soap_body struct
  | env | axutil_environment struct MUST not be NULL

Returns:
  status code , AXIS2_SUCCESS on success , AXIS2_ERROR otherwise

AXIS2_EXTERN axis2_status_t axiom_soap_body_build | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env |
| ) |  |  |

build the soap body completely . return the status code,

Parameters:

  | body | pointer to soap_body struct
  | env | axutil_environment struct MUST not be NULL

Returns:
  status code , AXIS2_SUCCESS on success , AXIS2_ERROR

AXIS2_EXTERN axis2_status_t axiom_soap_body_convert_fault_to_soap11 | ( | axiom_soap_body_t * | soap_body,
|  | const axutil_env_t * | env |
| ) |  |  |

SOAP builder construct a SOAP 1.2 fault all the time. So when SOAP 1.1 is in use, we should convert SOAP fault to SOAP 1.1 fault format before use.

Parameters:

  | body | pointer to soap_body struct
  | env | axutil_environment struct MUST not be NULL

Returns:
  status code , AXIS2_SUCCESS on success , AXIS2_ERROR

AXIS2_EXTERN axiom_soap_body_t* axiom_soap_body_create_with_parent | ( | const axutil_env_t * | env,
|  | struct axiom_soap_envelope * | envelope |
| ) |  |  |

a struct that represents the contents of the SOAP body element in a SOAP message. SOAP body element consists of XML data that affects the way the application-specific content is processed. soap_body_struct contains soap_header and which have the content for the SOAP body. this also contains axiom_soap_fault_t struct , which carries status and/or error information. creates a soap body struct

Parameters:

  | env | Environment. MUST NOT be NULL
  | envelope | the SOAP envelope to set the SOAP Body

Returns:
  created SOAP Body

AXIS2_EXTERN void axiom_soap_body_free | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env |
| ) |  |  |

Deallocate all the resources associated to soap_body But it does not deallocate the underlying om structure

Parameters:

  | body | soap_body struct
  | env | must not be null

Returns:
  status code AXIS2_SUCCESS

AXIS2_EXTERN axiom_node_t* axiom_soap_body_get_base_node | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env |
| ) |  |  |

get the underlying om_node

Parameters:

  | body | soap_body
  | env | environment must not be null

Returns:
  axiom_node_t

AXIS2_EXTERN axiom_soap_fault_t* axiom_soap_body_get_fault | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env |
| ) |  |  |

returns the soap fault in this soap_body IF a soap_builder is associated with the soap_body Pulling will take place

Parameters:

  | body | soap_body
  | env | environment must not be null

Returns:
  axiom_soap_fault_t if available, NULL otherwise

AXIS2_EXTERN int axiom_soap_body_get_soap_version | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env |
| ) |  |  |

return the soap version

Parameters:

  | body | soap_body
  | env | environment must not be null

Returns:
  one of AXIOM_SOAP11 or AXIOM_SOAP12

AXIS2_EXTERN axis2_bool_t axiom_soap_body_has_fault | ( | axiom_soap_body_t * | body,
|  | const axutil_env_t * | env |
| ) |  |  |

Indicates whether a soap fault is available with this soap body

Parameters:

  | body | soap_body struct
  | env | environment must not be null

Returns:
  AXIS2_TRUE if fault is available, AXIS2_FALSE otherwise